pcl::ColorGradientDOTModality< PointInT > Class Template Reference

`#include <pcl/recognition/color_gradient_dot_modality.h>`

Inheritance diagram for pcl::ColorGradientDOTModality< PointInT >:

## Classes

struct | Candidate

## Public Types

typedef pcl::PointCloud< PointInT > | PointCloudIn
Public Types inherited from pcl::PCLBase< PointInT >
typedef pcl::PointCloud< PointInT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointIndices > | PointIndicesPtr
typedef boost::shared_ptr< PointIndices const > | PointIndicesConstPtr

## Public Member Functions

| ColorGradientDOTModality (size_t bin_size)
virtual | ~ColorGradientDOTModality ()
void | setGradientMagnitudeThreshold (const float threshold)
QuantizedMap & | getDominantQuantizedMap ()
QuantizedMap | computeInvariantQuantizedMap (const MaskMap &mask, const RegionXY &region)
virtual void | setInputCloud (const typename PointCloudIn::ConstPtr &cloud)
| Provide a pointer to the input dataset (overwrites the PCLBase::setInputCloud method) More...
virtual void | processInputData ()
Public Member Functions inherited from pcl::DOTModality
virtual | ~DOTModality ()
Public Member Functions inherited from pcl::PCLBase< PointInT >
| PCLBase ()
| Empty constructor. More...
| PCLBase (const PCLBase &base)
| Copy constructor. More...
virtual | ~PCLBase ()
| Destructor. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset. More...
PointCloudConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset. More...
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
virtual void | setIndices (size_t row_start, size_t col_start, size_t nb_rows, size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud. More...
IndicesPtr const | getIndices ()
| Get a pointer to the vector of indices used. More...
IndicesConstPtr const | getIndices () const
| Get a pointer to the vector of indices used. More...
const PointInT & | operator[] (size_t pos) const
| Override PointCloud operator[] to shorten code. More...

## Protected Member Functions

void | computeMaxColorGradients ()
void | computeDominantQuantizedGradients ()
Protected Member Functions inherited from pcl::PCLBase< PointInT >
bool | initCompute ()
| This method should get called before starting the actual computation. More...
bool | deinitCompute ()
| This method should get called after finishing the actual computation. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::PCLBase< PointInT >
PointCloudConstPtr | input_
| The input point cloud dataset. More...
IndicesPtr | indices_
| A pointer to the vector of point indices to use. More...
bool | use_indices_
| Set to true if point indices are used. More...
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud. More...

## Detailed Description

### template<typename PointInT>
class pcl::ColorGradientDOTModality< PointInT >

Definition at line 116 of file color_gradient_dot_modality.h.

## Member Typedef Documentation

template<typename PointInT >

typedef pcl::PointCloud<PointInT> pcl::ColorGradientDOTModality< PointInT >::PointCloudIn

Definition at line 136 of file color_gradient_dot_modality.h.

## Constructor & Destructor Documentation

template<typename PointInT >

pcl::ColorGradientDOTModality< PointInT >::ColorGradientDOTModality | ( | size_t | bin_size | ) |

Definition at line 204 of file color_gradient_dot_modality.h.

References pcl::ColorGradientDOTModality< PointInT >::~ColorGradientDOTModality().

Referenced by pcl::ColorGradientDOTModality< PointInT >::setInputCloud().

template<typename PointInT >

pcl::ColorGradientDOTModality< PointInT >::~ColorGradientDOTModality | ( |  | ) |

virtual

Definition at line 212 of file color_gradient_dot_modality.h.

References pcl::ColorGradientDOTModality< PointInT >::processInputData().

Referenced by pcl::ColorGradientDOTModality< PointInT >::ColorGradientDOTModality().

## Member Function Documentation

template<typename PointInT >

void pcl::ColorGradientDOTModality< PointInT >::computeDominantQuantizedGradients | ( |  | ) |

protected

Definition at line 485 of file color_gradient_dot_modality.h.

References pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap(), pcl::QuantizedMap::getData(), pcl::PCLBase< PointInT >::input_, and pcl::QuantizedMap::resize().

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), and pcl::ColorGradientDOTModality< PointInT >::processInputData().

template<typename PointInT >

pcl::QuantizedMap pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap | ( | const MaskMap & | mask,
|  | const RegionXY & | region
| ) |  |

virtual

Implements pcl::DOTModality.

Definition at line 596 of file color_gradient_dot_modality.h.

References pcl::QuantizedMap::getData(), pcl::RegionXY::height, pcl::PCLBase< PointInT >::input_, pcl::QuantizedMap::resize(), pcl::RegionXY::width, pcl::RegionXY::x, and pcl::RegionXY::y.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeDominantQuantizedGradients().

template<typename PointInT >

void pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients | ( |  | ) |

protected

Definition at line 236 of file color_gradient_dot_modality.h.

References pcl::GradientXY::angle, pcl::ColorGradientDOTModality< PointInT >::computeDominantQuantizedGradients(), pcl::PCLBase< PointInT >::input_, pcl::GradientXY::magnitude, pcl::GradientXY::x, and pcl::GradientXY::y.

Referenced by pcl::ColorGradientDOTModality< PointInT >::processInputData().

template<typename PointInT >

QuantizedMap& pcl::ColorGradientDOTModality< PointInT >::getDominantQuantizedMap | ( |  | ) |

inline virtual

Implements pcl::DOTModality.

Definition at line 155 of file color_gradient_dot_modality.h.

template<typename PointInT >

void pcl::ColorGradientDOTModality< PointInT >::processInputData | ( |  | ) |

virtual

Definition at line 220 of file color_gradient_dot_modality.h.

References pcl::ColorGradientDOTModality< PointInT >::computeDominantQuantizedGradients(), and pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients().

Referenced by pcl::ColorGradientDOTModality< PointInT >::~ColorGradientDOTModality().

template<typename PointInT >

void pcl::ColorGradientDOTModality< PointInT >::setGradientMagnitudeThreshold | ( | const float | threshold | ) |

inline

Definition at line 143 of file color_gradient_dot_modality.h.

template<typename PointInT >

virtual void pcl::ColorGradientDOTModality< PointInT >::setInputCloud | ( | const typename PointCloudIn::ConstPtr & | cloud | ) |

inline virtual

Provide a pointer to the input dataset (overwrites the PCLBase::setInputCloud method)

Parameters

  cloud | the const boost shared pointer to a PointCloud message

Definition at line 168 of file color_gradient_dot_modality.h.

References pcl::ColorGradientDOTModality< PointInT >::ColorGradientDOTModality().

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/color_gradient_dot_modality.h